ByteChef LogoByteChef
Backend (API Key)User Workflows

Get a workflow by workflow reference code

Get a workflow by workflow reference code.

GET
/{externalUserId}/automation/workflows/{workflowUuid}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

externalUserId*string

The external user id.

workflowUuid*string

The workflow reference of the workflow to delete.

Header Parameters

X-Environment?string

The environment.

Value in

  • "DEVELOPMENT"
  • "STAGING"
  • "PRODUCTION"

Response Body

application/json

curl -X GET "https://example.com/string/automation/workflows/string"
{  "createdDate": "2019-08-24T14:15:22Z",  "description": "string",  "definition": "string",  "lastModifiedDate": "2019-08-24T14:15:22Z",  "enabled": true,  "label": "string",  "workflowUuid": "string",  "workflowVersion": 0,  "kind": "COPY",  "automationWorkflowUuid": "string",  "copiedFromWorkflowUuid": "string",  "dangling": true,  "components": [    {      "name": "string",      "title": "string",      "icon": "string",      "connectionRequired": true,      "integrationId": 0    }  ],  "inputs": [    {      "name": "string",      "label": "string",      "type": "string",      "required": true    }  ],  "inputValues": {},  "attentionReason": "string"}

How is this guide?